Bug 415631 - Can't join ADS domain
Can't join ADS domain
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 08:52 EST by The Source
Modified: 2008-05-14 11:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 11:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Samba config (10.07 KB, application/x-extension-conf)
2007-12-07 08:52 EST, The Source
no flags Details
kerberos config (krb5.conf) (549 bytes, application/x-extension-conf)
2007-12-07 08:53 EST, The Source
no flags Details
Samba config (10.04 KB, application/x-extension-conf)
2007-12-10 01:23 EST, The Source
no flags Details

  None (edit)
Description The Source 2007-12-07 08:52:29 EST
Description of problem:
I have configured everything as in official tutorial but:
[2007/12/07 16:40:01, 0] utils/net_ads.c:ads_startup_int(286)
  ads_connect: No logon servers
Failed to join domain: No logon servers
smbd, nmbd, winbind are running
Attaching my config files

Version-Release number of selected component (if applicable):
samba-3.0.27a-0.fc7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 The Source 2007-12-07 08:52:29 EST
Created attachment 281181 [details]
Samba config
Comment 2 The Source 2007-12-07 08:53:25 EST
Created attachment 281201 [details]
kerberos config (krb5.conf)
Comment 3 Simo Sorce 2007-12-07 10:08:21 EST
I see this from the config file:
   workgroup = KBP.RU
   password server = itserv.kpb.ru
   realm = KBP.RU 	#[GLOBAL]

4 comments:

1. never use '.' in a workgroup name, it is the NETBIOS domian name and dots are
not good there.
2. I hardly believe your REALm and workgroup name are the same, most probbaly
the workgroup is just KBP
3. why do you specify a password server? Let samba discover the right domain
controller
4 (and most important), It really seem you mispelled the password server name,
are you sure it is .kpb. ? Shouldn't it be .kbp. ??
Comment 4 The Source 2007-12-10 01:22:47 EST
I made changes to config according to your instructions but the issue still
present. Attaching new smb.conf
Comment 5 The Source 2007-12-10 01:23:37 EST
Created attachment 282491 [details]
Samba config
Comment 6 Simo Sorce 2007-12-10 09:12:06 EST
No logon servers means that your server is not able to reach the domain
controller, sorry this is not actually a bug just a network configuration
problem, I am sure you can find help on various Fedora forums at this point.
Comment 7 The Source 2007-12-11 04:06:43 EST
I have found nothing on fedora forums. But I have found in the unofficial manual
that samba should be built with HAVE_LDAP_DOMAIN2HOSTLIST flag, but it is not.
Comment 8 Bug Zapper 2008-05-14 11:08:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.